> ## Documentation Index
> Fetch the complete documentation index at: https://wb-21fd5541-locadex-parallel-t9n-main-cs60c8p4o6ik99tylxgp3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Chat des traces GenAI



## OpenAPI

````yaml fr/weave/reference/service-api/openapi.json POST /agents/traces/chat
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /agents/traces/chat:
    post:
      tags:
        - Agents
      summary: Chat des traces Genai
      operationId: genai_traces_chat_agents_traces_chat_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentTraceChatReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentTraceChatRes'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
components:
  schemas:
    AgentTraceChatReq:
      description: >-
        Requête permettant d'obtenir la vue structurée de chat / trajectoire
        pour une trace.
      properties:
        include_feedback:
          default: false
          title: Include Feedback
          type: boolean
        project_id:
          title: Project Id
          type: string
        trace_id:
          title: Trace Id
          type: string
      required:
        - project_id
        - trace_id
      title: AgentTraceChatReq
      type: object
    AgentTraceChatRes:
      description: "Vue de chat structurée\_: une séquence linéaire de messages représentant la trajectoire de l'agent pour une seule trace."
      properties:
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        agent_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Version
        ended_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Ended At
        feedback:
          anyOf:
            - items:
                $ref: '#/components/schemas/AgentChatFeedback'
              type: array
            - type: 'null'
          title: Feedback
        messages:
          items:
            $ref: '#/components/schemas/AgentChatMessage'
          title: Messages
          type: array
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        root_span_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Root Span Name
        started_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Started At
        status_code:
          anyOf:
            - enum:
                - UNSET
                - OK
                - ERROR
              type: string
            - type: 'null'
          title: Status Code
        total_cache_creation_input_tokens:
          default: 0
          title: Total Cache Creation Input Tokens
          type: integer
        total_cache_read_input_tokens:
          default: 0
          title: Total Cache Read Input Tokens
          type: integer
        total_cost_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Cost Usd
        total_duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          description: >-
            Durée réelle du span racine de la trace, en millisecondes. Il ne
            s'agit pas d'une somme des durées des spans enfants.
          title: Total Duration Ms
        total_input_tokens:
          default: 0
          title: Total Input Tokens
          type: integer
        total_output_tokens:
          default: 0
          title: Total Output Tokens
          type: integer
        total_reasoning_tokens:
          default: 0
          title: Total Reasoning Tokens
          type: integer
        trace_id:
          title: Trace Id
          type: string
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Wb User Id
      required:
        - trace_id
        - root_span_name
        - agent_name
        - agent_version
        - status_code
        - provider
        - started_at
        - ended_at
        - wb_user_id
        - total_duration_ms
        - total_cost_usd
        - total_input_tokens
        - total_output_tokens
        - total_reasoning_tokens
        - total_cache_creation_input_tokens
        - total_cache_read_input_tokens
        - messages
        - feedback
      title: AgentTraceChatRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AgentChatFeedback:
      description: "Ligne de feedback issue de la projection `include_feedback` du chat de l’agent.\n\nLes noms des champs correspondent à FEEDBACK_QUERY_FIELDS. Il ne s’agit ni de la ligne du tableau de feedback ni de FeedbackCreateReq\_: project_id et span_* ne sont pas sélectionnés."
      properties:
        annotation_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Annotation Ref
        call_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Ref
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        creator:
          anyOf:
            - type: string
            - type: 'null'
          title: Creator
        feedback_type:
          title: Feedback Type
          type: string
        id:
          title: Id
          type: string
        payload:
          additionalProperties: true
          title: Payload
          type: object
        runnable_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Runnable Ref
        scorer_rating_confidences:
          additionalProperties:
            type: number
          title: Scorer Rating Confidences
          type: object
        scorer_rating_reasons:
          additionalProperties:
            type: string
          title: Scorer Rating Reasons
          type: object
        scorer_ratings:
          additionalProperties:
            type: number
          title: Scorer Ratings
          type: object
        scorer_tag_confidences:
          additionalProperties:
            type: number
          title: Scorer Tag Confidences
          type: object
        scorer_tag_reasons:
          additionalProperties:
            type: string
          title: Scorer Tag Reasons
          type: object
        scorer_tags:
          items:
            type: string
          title: Scorer Tags
          type: array
        trigger_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Trigger Ref
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Wb User Id
        weave_ref:
          title: Weave Ref
          type: string
      required:
        - id
        - feedback_type
        - weave_ref
        - payload
        - creator
        - created_at
        - wb_user_id
        - runnable_ref
        - call_ref
        - trigger_ref
        - annotation_ref
        - scorer_tags
        - scorer_tag_reasons
        - scorer_tag_confidences
        - scorer_ratings
        - scorer_rating_reasons
        - scorer_rating_confidences
      title: AgentChatFeedback
      type: object
    AgentChatMessage:
      description: >-
        Un élément unique de la trajectoire structurée de l’agent / vue de chat.


        Les champs d’événement communs se trouvent au niveau supérieur. Les
        champs propres au type sont

        groupés sous la charge utile correspondant à `type`, et une seule charge
        utile doit être

        définie. Cela permet de rendre explicite la nullabilité des sous-types
        tout en conservant un

        modèle unique de chronologie ordonnée pour les appelants.
      properties:
        agent_handoff:
          anyOf:
            - $ref: '#/components/schemas/AgentChatAgentHandoff'
            - type: 'null'
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        agent_start:
          anyOf:
            - $ref: '#/components/schemas/AgentChatAgentStart'
            - type: 'null'
        agent_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Version
        assistant_message:
          anyOf:
            - $ref: '#/components/schemas/AgentChatAssistantMessage'
            - type: 'null'
        context_compacted:
          anyOf:
            - $ref: '#/components/schemas/AgentChatContextCompacted'
            - type: 'null'
        feedback:
          anyOf:
            - items:
                $ref: '#/components/schemas/AgentChatFeedback'
              type: array
            - type: 'null'
          title: Feedback
        span_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Span Id
        started_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Started At
        status_code:
          anyOf:
            - enum:
                - UNSET
                - OK
                - ERROR
              type: string
            - type: 'null'
          title: Status Code
        tool_call:
          anyOf:
            - $ref: '#/components/schemas/AgentChatToolCall'
            - type: 'null'
        type:
          enum:
            - user_message
            - assistant_message
            - tool_call
            - agent_handoff
            - agent_start
            - context_compacted
          title: Type
          type: string
        user_message:
          anyOf:
            - $ref: '#/components/schemas/AgentChatUserMessage'
            - type: 'null'
      required:
        - type
        - span_id
        - agent_name
        - agent_version
        - status_code
        - started_at
        - user_message
        - assistant_message
        - tool_call
        - agent_start
        - agent_handoff
        - context_compacted
        - feedback
      title: AgentChatMessage
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    AgentChatAgentHandoff:
      description: Charge utile pour un futur événement de transfert d’agent à agent.
      properties: {}
      title: AgentChatAgentHandoff
      type: object
    AgentChatAgentStart:
      description: Charge utile pour une limite du cycle de vie d’un agent.
      properties:
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        status:
          anyOf:
            - enum:
                - UNSET
                - OK
                - ERROR
              type: string
            - type: 'null'
          title: Status
        system_instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: System Instructions
        tool_definitions:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Definitions
      required:
        - model
        - system_instructions
        - tool_definitions
        - status
      title: AgentChatAgentStart
      type: object
    AgentChatAssistantMessage:
      description: Charge utile pour du texte d’assistant émis par un agent ou un span LLM.
      properties:
        content_refs:
          items:
            type: string
          title: Content Refs
          type: array
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        input_cost_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Input Cost Usd
        input_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Input Tokens
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        output_cost_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Output Cost Usd
        output_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Output Tokens
        reasoning_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Reasoning Content
        reasoning_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reasoning Tokens
        status:
          anyOf:
            - enum:
                - UNSET
                - OK
                - ERROR
              type: string
            - type: 'null'
          title: Status
        text:
          title: Text
          type: string
        total_cost_usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Cost Usd
      required:
        - text
        - model
        - reasoning_content
        - reasoning_tokens
        - input_tokens
        - output_tokens
        - input_cost_usd
        - output_cost_usd
        - total_cost_usd
        - duration_ms
        - status
        - content_refs
      title: AgentChatAssistantMessage
      type: object
    AgentChatContextCompacted:
      description: Charge utile pour un événement de compactage de la fenêtre de contexte.
      properties:
        compaction_items_after:
          anyOf:
            - type: integer
            - type: 'null'
          title: Compaction Items After
        compaction_items_before:
          anyOf:
            - type: integer
            - type: 'null'
          title: Compaction Items Before
        compaction_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Compaction Summary
      required:
        - compaction_summary
        - compaction_items_before
        - compaction_items_after
      title: AgentChatContextCompacted
      type: object
    AgentChatToolCall:
      description: Charge utile pour un événement de chronologie d’appel d’outil.
      properties:
        content_refs:
          items:
            type: string
          title: Content Refs
          type: array
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        status:
          anyOf:
            - enum:
                - UNSET
                - OK
                - ERROR
              type: string
            - type: 'null'
          title: Status
        tool_arguments:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Arguments
        tool_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Name
        tool_result:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Result
      required:
        - tool_name
        - tool_arguments
        - tool_result
        - duration_ms
        - status
        - content_refs
      title: AgentChatToolCall
      type: object
    AgentChatUserMessage:
      description: Charge utile pour un prompt utilisateur dans la chronologie du chat.
      properties:
        content_refs:
          items:
            type: string
          title: Content Refs
          type: array
        text:
          title: Text
          type: string
      required:
        - text
        - content_refs
      title: AgentChatUserMessage
      type: object

````